org.apache.hadoop.yarn.server.api

## Interface CollectorNodemanagerProtocol

- All Known Implementing Classes:
    CollectorNodemanagerProtocolPBClientImpl

      @InterfaceAudience.Private
      public interface CollectorNodemanagerProtocol

  The protocol between an `TimelineCollectorManager` and a `NodeManager` to report a new application collector get launched.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GetTimelineCollectorContextResponse` | `getTimelineCollectorContext(GetTimelineCollectorContextRequest request)` The collector needs to get the context information including user, flow and flow run ID to associate with every incoming put-entity requests.
    `ReportNewCollectorInfoResponse` | `reportNewCollectorInfo(ReportNewCollectorInfoRequest request)` The `TimelineCollectorManager` provides a list of mapping between application and collector's address in `ReportNewCollectorInfoRequest` to a `NodeManager` to register collector's info, include: applicationId and REST URI to access collector.

- - ### Method Detail

    - #### reportNewCollectorInfo

          ReportNewCollectorInfoResponse reportNewCollectorInfo(ReportNewCollectorInfoRequest request)
                                                         throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                IOException

      The `TimelineCollectorManager` provides a list of mapping between application and collector's address in `ReportNewCollectorInfoRequest` to a `NodeManager` to register collector's info, include: applicationId and REST URI to access collector. NodeManager will add them into registered collectors and register them into `ResourceManager` afterwards.

      Parameters:
        `request` - the request of registering a new collector or a list of collectors
      Returns:
        the response for registering the new collector
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException` - if the request is invalid
        `IOException` - if there are I/O errors

    - #### getTimelineCollectorContext

          GetTimelineCollectorContextResponse getTimelineCollectorContext(GetTimelineCollectorContextRequest request)
                                                                   throws org.apache.hadoop.yarn.exceptions.YarnException,
                                                                          IOException

      The collector needs to get the context information including user, flow and flow run ID to associate with every incoming put-entity requests.

      Parameters:
        `request` - the request of getting the aggregator context information of the given application
      Returns:
        the response for registering the new collector
      Throws:
        `org.apache.hadoop.yarn.exceptions.YarnException` - if the request is invalid
        `IOException` - if there are I/O errors

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.